Bug 105245 - EDITING: Copied column/row labels in the first sheet reference wrong cell until file is reloaded
Summary: EDITING: Copied column/row labels in the first sheet reference wrong cell unt...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2017-01-11 00:34 UTC by gilward.kukel
Modified: 2017-04-20 04:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gilward.kukel 2017-01-11 00:34:37 UTC
Description:
Copied column/row labels in the first sheet reference the wrong cell until the file is reloaded.

Steps to Reproduce:
1. Make a new spreadsheet
2. enable Tools -> Options... -> LibreOffice Calc -> Calculate -> Automatically find column and row labels
3. Enter these data into the first sheet:
	A1: a
	A2: 1
	A3: 2
	B2: ='a'
	B2 now correctly shows 1 because it references A2.
4. Go to B2 and press Ctrl+C.
5. Go to B3 and press Ctrl+V.



Actual Results:  
B3 wrongly also shows 1 because it also references A2.

Expected Results:
B3 should reference A3 and show 2.


Reproducible: Always

User Profile Reset: Yes

Additional Info:
When you save and reload the file it is correct.

The bug does not occur in the 2nd, 3rd etc. sheet of the spreadsheet.



User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 m.a.riosv 2017-01-11 11:13:18 UTC
Reproducible.
First version with the issue.
Versión: 4.2.0.0.beta1
Id. de compilación: f4ca7b35f580827ad2c69ea6d29f7c9b48ebbac7

Last version working.
Versión: 4.1.6.2
Id. de compilación: 40ff705089295be5be0aae9b15123f687c05b0a

It happens only with copy/paste, but not draging or enter manually the reference.
Comment 2 Markus Mohrhard 2017-04-10 21:34:44 UTC
Regression in the special handling for single cell copy&paste behavior.
Comment 3 Commit Notification 2017-04-10 23:58:23 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb57a432ba98ffe197c8fd2528e4b363c3285cc4

call UpdateReference also for single cell copying, tdf#105245

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-04-10 23:58:58 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98ebfb6a8638a76e96ffe7ada2485b3d13ed1fb9

add test for tdf#105245

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-04-18 20:26:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=840ac578dc5c21731b927bad6113839c4c69c108

only handling copy&paste needed, cut&paste bailed out, tdf#105245 follow-up

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-04-19 06:07:00 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bbdaac9c5d03d59c55dc8ec1d9c34df502c11dea&h=libreoffice-5-3

call UpdateReference also for single cell copying, tdf#105245

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.